Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 2118)
+++ palm/trunk/SOURCE/Makefile	(revision 2119)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# -cuda_fft_interfaces_mod
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 2118 2017-01-17 16:38:49Z raasch
+# -cuda_fft_interfaces_mod
+# 
 # 2050 2016-11-08 15:00:55Z gronemeier
 # Implement turbulent outflow method
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 2118)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 2119)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! OpenACC version of subroutines removed
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$ 
+! 
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutines removed
 ! 
 ! 2037 2016-10-26 11:15:40Z knoop
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 2118)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 2118)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2118)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC related parts of code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC related parts of code removed
+! 
 ! 2088 2016-12-19 16:30:25Z suehring
 ! Bugfix in initial salinity profile
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 2118)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- palm/trunk/SOURCE/cpulog_mod.f90	(revision 2118)
+++ palm/trunk/SOURCE/cpulog_mod.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC relevant code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC relevant code removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 2118)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 2118)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy_mod.f90	(revision 2118)
+++ palm/trunk/SOURCE/fft_xy_mod.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives and CUDA-fft related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and CUDA-fft related code removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 2118)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2073 2016-11-30 14:34:05Z raasch
 ! openmp bugfix: large scale forcing calculations cannot be executed thread
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 2118)
+++ palm/trunk/SOURCE/header.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC relatec code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC relatec code removed
+! 
 ! 2073 2016-11-30 14:34:05Z raasch
 ! small bugfix concerning output of scalar profiles
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2118)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2118)
+++ palm/trunk/SOURCE/modules.f90	(revision 2119)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! -acc_rank, background_communication, i_left, i_right, j_south, j_north,
-!  num_acc_per_node, on_device
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! -acc_rank, background_communication, i_left, i_right, j_south, j_north,
+!  num_acc_per_node, on_device
+! 
 ! 2107 2017-01-09 12:21:49Z kanani
 ! Preparation for doxygen comments (Giersch)
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 2118)
+++ palm/trunk/SOURCE/palm.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters.
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 2118)
+++ palm/trunk/SOURCE/parin.f90	(revision 2119)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -background_communication from inipar
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 2118 2017-01-17 16:38:49Z raasch
+! -background_communication from inipar
 ! 
 ! 2050 2016-11-08 15:00:55Z gronemeier
Index: palm/trunk/SOURCE/poisfft_mod.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_mod.f90	(revision 2118)
+++ palm/trunk/SOURCE/poisfft_mod.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 2118)
+++ palm/trunk/SOURCE/pres.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2073 2016-11-30 14:34:05Z raasch
 ! openmp bugfix for calculation of new divergence
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 2118)
+++ palm/trunk/SOURCE/production_e.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 2118)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC version of subroutine removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC version of subroutine removed
+! 
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2118)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2091 2016-12-21 16:38:18Z suehring
 ! Bugfix in calculation of vsws ( incorrect linear interpolation of us ) 
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 2118)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters.
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 2118)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives and related code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related code removed
+! 
 ! 2050 2016-11-08 15:00:55Z gronemeier
 ! Implement turbulent outflow condition
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 2118)
+++ palm/trunk/SOURCE/timestep.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives and related part of code removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives and related part of code removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 2118)
+++ palm/trunk/SOURCE/transpose.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
Index: palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2118)
+++ palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! OpenACC directives removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC directives removed
+! 
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
Index: palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/wall_fluxes.f90	(revision 2118)
+++ palm/trunk/SOURCE/wall_fluxes.f90	(revision 2119)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC versions of subroutines removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 2118 2017-01-17 16:38:49Z raasch
+! OpenACC versions of subroutines removed
+! 
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns