Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 2142)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 2147)
@@ -416,5 +416,5 @@
    cs_res@tmYLMode                ="Automatic"
   
-   cs_res@cnLevelSelectionMode    = "ManualLevels"
+   cs_res@cnLevelSelectionMode    = "AutomaticLevels"
    cs_res@lbLabelFontHeightF = font_size_legend
    cs_res@lbLabelStride = legend_label_stride
@@ -1819,10 +1819,11 @@
       if(check) then
 
-         space=(MaxVal(varn)-MinVal(varn))/24
+         space=(decimalPlaces(MaxVal(varn),3,True)-decimalPlaces(MinVal(varn),3,True))/24
   
-         cs_res@cnMinLevelValF = MinVal(varn)
-         cs_res@cnMaxLevelValF = MaxVal(varn) 
-
-         cs_res@cnLevelSpacingF = space
+         ;cs_res@cnMinLevelValF = decimalPlaces(MinVal(varn),3,True)
+         ;cs_res@cnMaxLevelValF = decimalPlaces(MaxVal(varn),3,True)
+
+         ;cs_res@cnLevelSpacingF = space
+         cs_res@cnMaxLevelCount = 26
       
          ; ****************************************************
@@ -1980,4 +1981,20 @@
                      end if
 
+                     ;if (topo .EQ. 0) then
+                        ;nothing to be done
+                     ;else
+                     ;   print("'topo' is set to " + topo)
+
+                        ;plot(n) = gsn_csm_contour(wks_ps,\
+                                            ;data(varn,lo,li-lis,:,:),cs_res)
+                        ;if(vNam(varn) .EQ. "zwwi" .OR. \
+                         ;  vNam(varn) .EQ. "zusi") then
+                          ; to_res@cnFillPalette = "GMT_gray"
+                           ;plot_topo = gsn_csm_contour(wks_ps,\
+                            ;  data(varn,lo,li-lis,:,:),to_res)
+                         ;end if
+                        ;overlay(plot(n), plot_topo) 
+                     ;end if
+
                      if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
                         ;nothing to be done
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 2142)
+++ palm/trunk/SCRIPTS/mrun	(revision 2147)
@@ -387,6 +387,6 @@
           if [[ $tmpcreate = true ]]
           then
-             printf "\n  *** Contents of \"$TEMPDIR\":\n"
-             ls -al; cd
+#              printf "\n  *** Contents of \"$TEMPDIR\":\n"
+#              ls -al; cd
              [[ $delete_temporary_catalog = true ]]  &&  rm -rf $TEMPDIR
           fi
@@ -451,5 +451,5 @@
        (C)   restart_run=true; mc="$mc -C";;
        (d)   fname=$OPTARG; mc="$mc -d$OPTARG";;
-       (D)   cpp_opts="$cpp_opts $OPTARG"; mc="$mc -D'$OPTARG'";;
+#        (D)   cpp_opts="$cpp_opts $OPTARG"; mc="$mc -D'$OPTARG'";;
        (F)   job_on_file="-D"; mc="$mc -F";;
        (g)   group_number=$OPTARG; mc="$mc -g$OPTARG";;
@@ -3154,5 +3154,5 @@
                       export KMP_STACKSIZE=64m
 
-                      srun  --nodes=$nodes --ntasks-per-node=$tasks_per_node ./a.out  <  runfile_atmos
+                      srun  -n $ii --ntasks-per-node=$tasks_per_node ./a.out  <  runfile_atmos
 
                    elif [[ $host = lccrayf ]]
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 2142)
+++ palm/trunk/SCRIPTS/subjob	(revision 2147)
@@ -226,4 +226,5 @@
    #  (node*)                 local_address=210.219.61.8    local_host=lckordi;;
      (gaia*)                 local_address=150.183.146.24; local_host=ibmkisti;;
+     (gharbi)                local_address=130.75.105.47;  local_host=lcmuk;;
      (gallego)               local_address=130.75.105.10;  local_host=lcmuk;;
      (gregale)               local_address=130.75.105.109; local_host=lcmuk;;
@@ -236,4 +237,5 @@
      (jaboticaba)            local_address=150.163.25.181; local_host=lcbr;;
      (sno)                   local_address=130.75.105.113; local_host=lcmuk;;
+     (kuma)                  local_address=130.75.105.115; local_host=lcmuk;;
      (levanto)               local_address=130.75.105.45;  local_host=lcmuk;;
      (login*)                local_address=118.128.66.201; local_host=lckiaps;;
@@ -440,5 +442,5 @@
                  esac;;
         (lcbullhh) case  $ndq  in
-                     (compute|shared)  error=false;;
+                     (compute|compute2|shared)  error=false;;
                      (*)                                     error=true;;
                  esac;;