Index: palm/trunk/SCRIPTS/.mrun.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2202)
+++ palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2202)
@@ -0,0 +1,182 @@
+#$Id$
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         $base_directory/JOBS
+%input_path        $base_directory/JOBS/$fname/INPUT
+%output_path       $base_directory/JOBS/$fname/OUTPUT
+%monitoring_path   $base_directory/JOBS/$fname/MONITORING
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%tmp_user_catalog  $base_directory/TEMPO
+%tmp_data_catalog  $base_directory/RESTART_DATA
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+%host_identifier   idefix*        lcidefix
+
+
+#IDEFIX normal mode
+%remote_username   <replace_by_your_IDEFIX_username>                            lcidefix parallel
+%compiler_name     mpif90                                                       lcidefix parallel
+%compiler_name_ser ifort                                                        lcidefix parallel
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__intel_compiler            lcidefix parallel
+%netcdf_inc        -I:/opt/netcdf4_hdf5parallel/4411c_443f/intel/include        lcidefix parallel
+%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch1/intel/lib-lnetcdf:-lnetcdff            lcidefix parallel
+%fftw_inc          -I:/opt/fftw/3.3.6_gcc_ifort/include                         lcidefix parallel
+%fftw_lib          -L/opt/fftw/3.3.6_gcc_ifort/lib:-lfftw3                      lcidefix parallel
+%mopts             -j:4                                                         lcidefix parallel
+%fopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291            lcidefix parallel
+%lopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,829             lcidefix parallel
+%modules           fftw/3.3.6_gcc_ifort:mvapich2/2.2_intel:hdf5/1.10.0-p1_parallel:netcdf/4411c_443f_netcdf4_hdf5parallel:hdf5-parallel/1.10.0-patch1_intel            lcidefix parallel
+
+#IDEFIX trace/debug mode
+%remote_username   <replace_by_your_IDEFIX_username>                            lcidefix parallel trace
+%compiler_name     mpif90                                                       lcidefix parallel trace
+%compiler_name_ser ifort                                                        lcidefix parallel trace
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__intel_compiler            lcidefix parallel trace
+%netcdf_inc        -I:/opt/netcdf4_hdf5parallel/4411c_443f/intel/include        lcidefix parallel trace
+%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch1/intel/lib-lnetcdf:-lnetcdff            lcidefix parallel trace
+%fftw_inc          -I:/opt/fftw/3.3.6_gcc_ifort/include                         lcidefix parallel trace
+%fftw_lib          -L/opt/fftw/3.3.6_gcc_ifort/lib:-lfftw3                      lcidefix parallel trace
+%mopts             -j:4                                                         lcidefix parallel trace
+%fopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-gen-interfaces:-warn:interfaces:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291            lcidefix parallel trace
+%lopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-gen-interfaces:-warn:interfaces:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib            lcidefix parallel trace
+%modules           fftw/3.3.6_gcc_ifort:mvapich2/2.2_intel:hdf5/1.10.0-p1_parallel:netcdf/4411c_443f_netcdf4_hdf5parallel:hdf5-parallel/1.10.0-patch1_intel            lcidefix parallel trace
+
+#        
+%write_binary        true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:[[ \$localhost = lcidefix ]]  &&  export MV2_ENABLE_AFFINITY=0
+IC:[[ \$localhost = lcidefix ]]  &&  export MV2_SHOW_CPU_BINDING=1
+IC:[[ \$localhost = lcidefix ]]  &&  export MV2_CPU_BINDING_POLICY=scatter
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_00000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+#
+#
+PARIN                    in:job        d3#      $input_path    _p3d
+PARIN                    in:job        d3f      $input_path    _p3df
+NUDGING_DATA             in:locopt     d3#:d3f  $input_path    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $input_path    _lsf
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $input_path    _topo
+PLANT_CANOPY_DATA_3D     in:locopt     d3#:d3f  $input_path    _canopy
+URBAN_SURFACE            in:locopt     d3#:d3f  $input_path    _urbsurf
+SURFACE_PARAMETERS       in:locopt     d3#:d3f  $input_path    _surfpar
+#
+#
+DATA_1D_FL_NETCDF        in:locopt     flf      $output_path   _fl     nc
+DATA_1D_PR_NETCDF        in:locopt     prf      $output_path   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $output_path   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $output_path   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $output_path   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $output_path   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $output_path   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $output_path   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $output_path   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $output_path   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $output_path   _prt
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+#
+RUN_CONTROL       out:loc:tr   d3#     $monitoring_path  _rc
+RUN_CONTROL       out:loc:tra  d3f     $monitoring_path  _rc
+HEADER            out:loc:tr   d3#     $monitoring_path  _header
+HEADER            out:loc:tra  d3f     $monitoring_path  _header
+CPU_MEASURES      out:loc:tr   d3#     $monitoring_path  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $monitoring_path  _cpu
+#
+#
+DATA_1D_FL_NETCDF    out:loc:tr   fl#:flf   $output_path  _fl      nc
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $output_path  _pr      nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $output_path  _sp      nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $output_path  _ts      nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $output_path  _pts     nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $output_path  _xy      nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $output_path  _xy_av   nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $output_path  _xz      nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $output_path  _xz_av   nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $output_path  _yz      nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $output_path  _yz_av   nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $output_path  _3d      nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $output_path  _3d_av   nc
+DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $output_path  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $output_path  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $output_path  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $output_path  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $output_path  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $output_path  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $output_path  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $output_path  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $output_path  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $output_path  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $output_path  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $output_path  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $output_path  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $output_path  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $output_path  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $output_path  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $output_path  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $output_path  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $output_path  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $output_path  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $output_path  _m20_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $output_path  _prt     nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $output_path  _prt     nc
+DATA_DVR             out:loc:trpe dvr       $output_path  _dvr
+#
+DVRP_LOG          out:loc:tr   dv#       $monitoring_path  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $monitoring_path  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $monitoring_path  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $monitoring_path  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $output_path      _prt_dat
+# A BLANK LINE MUST FOLLOW