Index: palm/trunk/SCRIPTS/.mrun.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2202)
+++ palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2221)
@@ -29,12 +29,12 @@
 %compiler_name_ser ifort                                                        lcidefix parallel
 %cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__intel_compiler            lcidefix parallel
-%netcdf_inc        -I:/opt/netcdf4_hdf5parallel/4411c_443f/intel/include        lcidefix parallel
-%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch1/intel/lib-lnetcdf:-lnetcdff            lcidefix parallel
-%fftw_inc          -I:/opt/fftw/3.3.6_gcc_ifort/include                         lcidefix parallel
-%fftw_lib          -L/opt/fftw/3.3.6_gcc_ifort/lib:-lfftw3                      lcidefix parallel
+%netcdf_inc        -I/opt/netcdf4_hdf5parallel/4411c_443f/intel/include         lcidefix parallel
+%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch/intel/lib:-lnetcdf:-lnetcdff        lcidefix parallel
+%fftw_inc          -I:/opt/fftw/3.3.6-pl1/mvapich2-intel/include                lcidefix parallel
+%fftw_lib          -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib:-lfftw3             lcidefix parallel
 %mopts             -j:4                                                         lcidefix parallel
 %fopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291            lcidefix parallel
 %lopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,829             lcidefix parallel
-%modules           fftw/3.3.6_gcc_ifort:mvapich2/2.2_intel:hdf5/1.10.0-p1_parallel:netcdf/4411c_443f_netcdf4_hdf5parallel:hdf5-parallel/1.10.0-patch1_intel            lcidefix parallel
+%modules           intel-compiler/2017.1.132:mvapich2/2.2/intel:fftw/3.3.6-pl1/mvapich2-intel:hdf5-parallel/1.10.0-patch/intel:netcdf4_hdf5parallel/4411c_443f/intel        lcidefix parallel
 
 #IDEFIX trace/debug mode
@@ -43,12 +43,12 @@
 %compiler_name_ser ifort                                                        lcidefix parallel trace
 %cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__intel_compiler            lcidefix parallel trace
-%netcdf_inc        -I:/opt/netcdf4_hdf5parallel/4411c_443f/intel/include        lcidefix parallel trace
-%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch1/intel/lib-lnetcdf:-lnetcdff            lcidefix parallel trace
-%fftw_inc          -I:/opt/fftw/3.3.6_gcc_ifort/include                         lcidefix parallel trace
-%fftw_lib          -L/opt/fftw/3.3.6_gcc_ifort/lib:-lfftw3                      lcidefix parallel trace
+%netcdf_inc        -I/opt/netcdf4_hdf5parallel/4411c_443f/intel/include         lcidefix parallel trace
+%netcdf_lib        -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib:-L/opt/hdf5-parallel/1.10.0-patch/intel/lib:-lnetcdf:-lnetcdff        lcidefix parallel trace
+%fftw_inc          -I:/opt/fftw/3.3.6-pl1/mvapich2-intel/include                lcidefix parallel trace
+%fftw_lib          -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib:-lfftw3             lcidefix parallel trace
 %mopts             -j:4                                                         lcidefix parallel trace
 %fopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-gen-interfaces:-warn:interfaces:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291            lcidefix parallel trace
 %lopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-gen-interfaces:-warn:interfaces:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib            lcidefix parallel trace
-%modules           fftw/3.3.6_gcc_ifort:mvapich2/2.2_intel:hdf5/1.10.0-p1_parallel:netcdf/4411c_443f_netcdf4_hdf5parallel:hdf5-parallel/1.10.0-patch1_intel            lcidefix parallel trace
+%modules           intel-compiler/2017.1.132:mvapich2/2.2/intel:fftw/3.3.6-pl1/mvapich2-intel:hdf5-parallel/1.10.0-patch/intel:netcdf4_hdf5parallel/4411c_443f/intel        lcidefix parallel trace
 
 #        
@@ -58,5 +58,5 @@
 # INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
-#IC:[[ \$localhost = lcidefix ]]  &&  export MV2_ENABLE_AFFINITY=0
+IC:[[ \$localhost = lcidefix ]]  &&  export MV2_ENABLE_AFFINITY=0
 IC:[[ \$localhost = lcidefix ]]  &&  export MV2_SHOW_CPU_BINDING=1
 IC:[[ \$localhost = lcidefix ]]  &&  export MV2_CPU_BINDING_POLICY=scatter